package com.biganto.visual.roompark.data.repository.db.requrey.model

import io.requery.Entity
import io.requery.ForeignKey
import io.requery.Key
import io.requery.Persistable

/**
 * Created by Vladislav Bogdashkin on 05.11.2019.
 */

@Entity
interface Deal : Persistable {

    @get:Key
    val id:String
    val estateCrmId:String
    val opportunitySum:Int
    val paymentSum:Int
    val amountPaySum:Int
    val statusId:Int
    val managerName: String
    @get:ForeignKey(references = Estate::class )
    var estate:Estate
}