package com.biganto.visual.roompark.data.repository.db.requrey.model

import io.requery.Entity
import io.requery.ForeignKey
import io.requery.Key
import io.requery.Persistable
import java.util.*

/**
 * Created by Vladislav Bogdashkin on 29.10.2019.
 */


@Entity
interface ImageAlbum : Persistable {
    @get:Key
    val id:Int
    val title:String
    val sort:Int
    val date: Date
    @get:ForeignKey(references = ImageAlbum::class, referencedColumn = "id")
    val parent_id:Int
}